#!/usr/bin/env python
# -*- coding: utf-8 -*-

# Copyright 2012 - 2013
# Matías Herranz <matiasherranz@gmail.com>
# Joaquín Tita <joaquintita@gmail.com>
#
# https://github.com/PyRadar/pyradar
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation; either
# version 3 of the License, or (at your option) any later version.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with this library. If not, see <http://www.gnu.org/licenses/>.

"""Collection of algortihms and tools for manipulate satellite images

Full docs: http://pyradar-tools.readthedocs.org/

"""

PRJ = "pyradar"

VERSION = ("0", "2")

STR_VERSION = ".".join(VERSION)

SHORT_DESCRIPTION = __doc__.splitlines()[0]

AUTHOR = u"Matías Herranz <matiasherranz@gmail.com> - Joaquín Tita <joaquintita@gmail.com>"

EMAIL = "matiasherranz@gmail.com - joaquintita@gmail.com"

URL = "https://github.com/PyRadar/pyradar"

LICENSE = "LGPL 3"

FULL_LICENSE = u"""This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation; either
version 3 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public
License along with this library. If not, see <http://www.gnu.org/licenses/>.

"""

KEYWORDS = "radar satellite image sar lee kuan lee-enhanced"


CLASSIFIERS = (
    "Programming Language :: Python :: 2",
    "Intended Audience :: Science/Research",
    "License :: OSI Approved :: GNU Lesser General Public License v3 or later (LGPLv3+)",
    "Topic :: Multimedia :: Graphics",
    "Topic :: Scientific/Engineering :: Image Recognition",
    "Topic :: Utilities",
)

